# TdApi.Background (tdlight API 3.3.160 API)
declaration: package: it.tdlight.jni, class: TdApi, class: Background

Package it.tdlight.jni

# Class TdApi.Background

java.lang.Object
it.tdlight.jni.TdApi.Object
it.tdlight.jni.TdApi.Background

Enclosing class:
  TdApi

    public static class TdApi.Background
    extends TdApi.Object

Describes a chat background.

## Field Summary

Fields
Modifier and Type | Field | Description
--- | --- | ---
`static int` | `CONSTRUCTOR` |
`TdApi.Document` | `document` | Document with the background; may be null.
`long` | `id` | Unique background identifier.
`boolean` | `isDark` | True, if the background is dark and is recommended to be used with dark theme.
`boolean` | `isDefault` | True, if this is one of default backgrounds.
`String` | `name` | Unique background name.
`TdApi.BackgroundType` | `type` | Type of the background.

## Constructor Summary

Constructors
Constructor | Description
--- | ---
`Background()` | Describes a chat background.
`Background​(long id, boolean isDefault, boolean isDark, String name, TdApi.Document document, TdApi.BackgroundType type)` | Describes a chat background.
`Background​(DataInput input)` |

## Method Summary

Modifier and Type | Method | Description
--- | --- | ---
`boolean` | `equals​(Object o)` |
`int` | `getConstructor()` |
`int` | `hashCode()` |
`void` | `serialize​(DataOutput output)` |

### Methods inherited from class it.tdlight.jni.TdApi.Object

`serialize, toString`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

## Field Details

### id

public long id
Unique background identifier.

### isDefault

public boolean isDefault
True, if this is one of default backgrounds.

### isDark

public boolean isDark
True, if the background is dark and is recommended to be used with dark theme.

### name

public String name
Unique background name.

### document

public TdApi.Document document
Document with the background; may be null. Null only for filled backgrounds.

### type

public TdApi.BackgroundType type
Type of the background.

### CONSTRUCTOR

public static final int CONSTRUCTOR

See Also:
  Constant Field Values

## Constructor Details

### Background

public Background()
Describes a chat background.

### Background

public Background​(long id, boolean isDefault, boolean isDark, String name, TdApi.Document document, TdApi.BackgroundType type)
Describes a chat background.

Parameters:
  `id` - long Unique background identifier.
  `isDefault` - boolean True, if this is one of default backgrounds.
  `isDark` - boolean True, if the background is dark and is recommended to be used with dark theme.
  `name` - String Unique background name.
  `document` - Document Document with the background; may be null. Null only for filled backgrounds.
  `type` - BackgroundType Type of the background.

### Background

public Background​(DataInput input) throws IOException

Throws:
  `IOException`

## Method Details

### getConstructor

public int getConstructor()

Specified by:
  `getConstructor` in class `TdApi.Object`

### serialize

public void serialize​(DataOutput output) throws IOException

Specified by:
  `serialize` in class `TdApi.Object`
Throws:
  `IOException`

### equals

public boolean equals​(Object o)

Overrides:
  `equals` in class `Object`

### hashCode

public int hashCode()

Overrides:
  `hashCode` in class `Object`